--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;

function ShowHelp:updateTick(dt)
end;

function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.76, 0.167, 0.0193, "Num 0: Info");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.82, 0.170, 0.0193, "Num 0: Info ein/aus");
		renderText(0.76, 0.60, 0.02, "MTZ Belarus 52 Info");			
		renderText(0.76, 0.58, 0.02, "Num 1: Blinker links");
		renderText(0.76, 0.56, 0.02, "Num 2: Warnblinker");
		renderText(0.76, 0.54, 0.02, "Num 3: Blinker rechts");
		renderText(0.76, 0.52, 0.02, "Num 4: linke Tuer oeffnen/schliesen");
		renderText(0.76, 0.50, 0.02, "Num 5: Heckfenster oeffnen/schliesen");
		renderText(0.76, 0.48, 0.02, "Num 6: rechte Tuer oeffnen/schliesen");
		renderText(0.76, 0.46, 0.02, "Num 8: Dachluke oeffnen/schliesen");
		renderText(0.76, 0.44, 0.02, "Num 9: Motorhaube auf/zuklappen");
		renderText(0.76, 0.42, 0.02, "Taste 7: Innenraumbeleuchtung an/aus");
		
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




